Package org.opensaml.saml.saml1.core.impl

# Class AuthenticationQueryImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.saml.saml1.core.impl.SubjectQueryImpl
org.opensaml.saml.saml1.core.impl.AuthenticationQueryImpl

All Implemented Interfaces:
  `XMLObject`, `SAMLObject`, `AuthenticationQuery`, `Query`, `SubjectQuery`

public class AuthenticationQueryImpl extends SubjectQueryImpl implements AuthenticationQuery
Concrete implementation of the `AuthenticationQuery` interface.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`authenticationMethod`
The method used to do the authentication.

### Fields inherited from interface org.opensaml.saml.saml1.core.AuthenticationQuery

`AUTHENTICATIONMETHOD_ATTRIB_NAME, DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

### Fields inherited from interface org.opensaml.saml.saml1.core.SubjectQuery

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AuthenticationQueryImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getAuthenticationMethod()`
Get AuthenticationMethod attribute.
`void`
`setAuthenticationMethod(String method)`
Set AuthenticationMethod attribute.

### Methods inherited from class org.opensaml.saml.saml1.core.impl.SubjectQueryImpl

`getOrderedChildren, getSubject, setSubject`

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.saml.saml1.core.SubjectQuery

`getSubject, setSubject`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### authenticationMethod

private String authenticationMethod
The method used to do the authentication.

## Constructor Details

### AuthenticationQueryImpl

protected AuthenticationQueryImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getAuthenticationMethod

@Nullable public String getAuthenticationMethod()
Get AuthenticationMethod attribute.

Specified by:
  `getAuthenticationMethod` in interface `AuthenticationQuery`
Returns:
  the authentication method

### setAuthenticationMethod

public void setAuthenticationMethod(@Nullable String method)
Set AuthenticationMethod attribute.

Specified by:
  `setAuthenticationMethod` in interface `AuthenticationQuery`
Parameters:
  `method` - the authentication method